GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::tagged_burst_to_pdu_impl Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Member Functions | List of all members
gr::iridium::tagged_burst_to_pdu_impl Class Reference

`#include <tagged_burst_to_pdu_impl.h>`

Inheritance diagram for gr::iridium::tagged_burst_to_pdu_impl:
[legend]

## Public Member Functions
| tagged_burst_to_pdu_impl (int max_burst_size, float relative_center_frequency, float relative_span, float d_relative_sample_rate, int outstanding_limit, bool drop_overflow)
| ~tagged_burst_to_pdu_impl ()
uint64_t | get_n_dropped_bursts ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual uint64_t | get_n_dropped_bursts ()=0
virtual int | get_output_queue_size ()=0
virtual int | get_output_max_queue_size ()=0

## Additional Inherited Members
Public Types inherited from gr::iridium::tagged_burst_to_pdu
typedef boost::shared_ptr< tagged_burst_to_pdu > | sptr
Static Public Member Functions inherited from gr::iridium::tagged_burst_to_pdu
static sptr | make (int max_burst_size, float relative_center_frequency, float relative_span, float d_relative_sample_rate, int outstanding_limit, bool drop_overflow)
| Return a shared_ptr to a new instance of iridium::tagged_burst_to_pdu. More...

## Constructor & Destructor Documentation

## ◆ tagged_burst_to_pdu_impl()

gr::iridium::tagged_burst_to_pdu_impl::tagged_burst_to_pdu_impl | ( | int | max_burst_size,
|  | float | relative_center_frequency,
|  | float | relative_span,
|  | float | d_relative_sample_rate,
|  | int | outstanding_limit,
|  | bool | drop_overflow
| ) |  |

## ◆ ~tagged_burst_to_pdu_impl()

gr::iridium::tagged_burst_to_pdu_impl::~tagged_burst_to_pdu_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_n_dropped_bursts()

uint64_t gr::iridium::tagged_burst_to_pdu_impl::get_n_dropped_bursts | ( |  | ) |
| virtual

Implements gr::iridium::tagged_burst_to_pdu.

## ◆ work()

int gr::iridium::tagged_burst_to_pdu_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- tagged_burst_to_pdu_impl.h